<template>
    <div class="hexagon" :class="{ active: checked }" @click="change()">
        <v-icon color="black" v-if="checked">mdi-check</v-icon>
        <div>{{ name }}</div>
    </div>
</template>

<script lang="ts">
import { Component, Model, Prop, Vue } from 'vue-property-decorator';

@Component
export default class HexCheckBox extends Vue {
    @Prop({ default: '' })
    readonly name!: string;

    @Model('change', { type: Boolean }) readonly checked!: boolean;
    change() {
        this.$emit('change', !this.checked);
    }
}
</script>

<style scoped>
.hexagon {
    cursor: pointer;
    width: 55px;
    height: 55px;
    /* clip-path: polygon(50% 0%, 100% 25%, 100% 75%, 50% 100%, 0% 75%, 0% 25%); */
    clip-path: polygon(50% 0%, 95% 25%, 95% 75%, 50% 100%, 5% 75%, 5% 25%);
    background-color: #e5ebf7;
    color: #72727f;
    display: flex;
    justify-content: center;
    align-items: center;
}

.active {
    background-color: #fdb947;
    color: black;
}

.active {
    background-color: #fdb947;
    color: black;
}
</style>
